%define upstream_name    Dist-Zilla-Plugin-InstallGuide
%define upstream_version 1.200014

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Build an INSTALL file
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(Dist::Zilla::Role::ModuleMetadata)
BuildRequires: perl(Dist::Zilla::Role::TextTemplate)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Moose)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(if)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This plugin adds a very simple _INSTALL_ file to the distribution, telling
the user how to install this distribution.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.200.14-3.mga10
+ Revision: 2207126
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.200.14-2.mga9
+ Revision: 1814428
- Mageia 9 Mass Rebuild

* Tue May 04 2021 tv <tv> 1.200.14-1.mga9
+ Revision: 1721287
- update to 1.200014

* Sat Feb 15 2020 umeabot <umeabot> 1.200.13-2.mga8
+ Revision: 1525293
- Mageia 8 Mass Rebuild

* Sat Apr 13 2019 tv <tv> 1.200.13-1.mga7
+ Revision: 1389599
- update to 1.200013

* Sun Nov 04 2018 tv <tv> 1.200.12-1.mga7
+ Revision: 1328107
- update to 1.200012

* Thu Sep 20 2018 umeabot <umeabot> 1.200.11-2.mga7
+ Revision: 1283022
- Mageia 7 Mass Rebuild

* Wed Aug 01 2018 tv <tv> 1.200.11-1.mga7
+ Revision: 1246505
- update to 1.200011

* Tue Mar 20 2018 shlomif <shlomif> 1.200.9-1.mga7
+ Revision: 1210612
- update to 1.200009

* Mon Oct 02 2017 tv <tv> 1.200.7-2.mga7
+ Revision: 1164223
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 sander85 <sander85> 1.200.7-1.mga7
+ Revision: 1157575
- update to 1.200007

* Sun Jun 19 2016 pterjan <pterjan> 1.200.6-3.mga6
+ Revision: 1026245
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.200.6-2.mga6
+ Revision: 966675
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 shlomif <shlomif> 1.200.6-1.mga6
+ Revision: 846453
- Add missing BRs
- New version 1.200006

* Wed Oct 15 2014 umeabot <umeabot> 1.200.3-3.mga5
+ Revision: 740433
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue May 06 2014 jquelin <jquelin> 1.200.3-1.mga5
+ Revision: 620596
- update to 1.200003

* Sat Feb 08 2014 sander85 <sander85> 1.200.2-1.mga5
+ Revision: 586195
- update to 1.200002

* Mon Oct 21 2013 umeabot <umeabot> 1.200.1-2.mga4
+ Revision: 537997
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 sander85 <sander85> 1.200.1-1.mga4
+ Revision: 488240
- update to 1.200001

* Sun Jan 13 2013 umeabot <umeabot> 1.200.0-2.mga3
+ Revision: 366218
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1.200.0-1.mga3
+ Revision: 254870
- update to 1.200000

* Wed Jan 26 2011 jquelin <jquelin> 1.101.461-1.mga1
+ Revision: 40445
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-InstallGuide

